Get transactions on Virtual Environments
Get transactions on Virtual Environment with pagination and with queries: status, kind and category
Authorizations
An API key is a token that a client provides when making API calls. The key can be sent as a request header:
curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/simulate' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
...
Learn how to generate API access tokens at Tenderly Docs.
Path Parameters
Account slug of the user/organization Virtual Environment belongs to
Project slug of the account
Virtual Environment ID
Query Parameters
The page number
x >= 1The number of items to return per page
1 <= x <= 100Search by status. Values are: success, failed, pending
Search by category. Values are: write, read, compute
Search by kind. Values are: blockchain, simulation, cheatcode, cheatcode_faucet
Response
A successful response.
Unique identifier of the transaction.
"12345"
Identifier of the Virtual Environment.
"67890"
Origin of the transaction.
"user"
Category of the transaction.
"payment"
Kind of transaction.
"transfer"
Status of the transaction.
"success"
Reason for transaction error.
"Insufficient funds"
RPC method used for the transaction.
"eth_sendTransaction"
Timestamp when the transaction was created.
"2024-04-21T12:00:00Z"
Block number of the transaction.
"123456"
Hash of the block containing the transaction.
"0xabcdef123456..."
Hash of the transaction.
"0xabcdef123456..."
Index of the transaction within the block.
"1"
Sender address of the transaction.
"0x123456789..."
Receiver address of the transaction.
"0x987654321..."
Input data of the transaction.
"0xabcdef123456..."
Nonce of the transaction.
"123"
Value of the transaction.
"1000000000000000000"
Gas of the transaction.
"21000"
Gas price of the transaction.
"1000000000"
Maximum priority fee per gas of the transaction.
"1000000000"
Maximum fee per gas of the transaction.
"2000000000"
Signature of the transaction.
"0xabcdef123456..."
Type of the transaction.
"1"
Overrides for specific state objects.
Overrides for block data
{
"number": "0x124214",
"timestamp": "0x124124"
}
Name of the function invoked by the transaction.
"transferFunds"